{
  config,
  pkgs,
  inputs,
  ...
}: {
  home.enableNixpkgsReleaseCheck = false;
  nixpkgs.config.allowUnfree = true;

  home.username = "k";
  home.homeDirectory = "/home/k";
  home.stateVersion = "23.11";

  home.packages = [
    pkgs.firefox
    pkgs.steam
    pkgs.discord
    pkgs.htop
    pkgs.spotify
    pkgs.jellyfin-media-player
    pkgs.keepassxc
  ];

  programs.starship.enable = true;
  programs.zsh = {
    enable = true;
    autosuggestion.enable = true;
    enableCompletion = true;
    syntaxHighlighting.enable = true;
    autocd = true;
    plugins = [
      {
        name = "zsh-nix-shell";
        file = "nix-shell.plugin.zsh";
        src = pkgs.fetchFromGitHub {
          owner = "chisui";
          repo = "zsh-nix-shell";
          rev = "v0.8.0";
          sha256 = "1lzrn0n4fxfcgg65v0qhnj7wnybybqzs4adz7xsrkgmcsr0ii8b7";
        };
      }
    ];
  };
}
